% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/discord.R
\docType{package}
\name{discord-package}
\alias{discord-package}
\alias{discord}
\title{Functions for Discordant Kinship Modeling.}
\description{
Utilities and functions for discordant kinship modeling (and other sibling-based quasi-experimental designs). Also includes functions for generating genetically- and environmentally informed multivariate data for kin pairs.
}
\note{
The release version is available through \href{https://cran.r-project.org/package=discord}{CRAN} by
running \code{install.packages('discord')}.
The most recent development version is available through \href{https://github.com/smasongarrison/discord}{GitHub} by
running
\code{devtools::install_github} \code{(repo = 'smasongarrison/discord')}
(make sure \href{https://cran.r-project.org/package=devtools}{devtools} is already installed).
If you're having trouble with the package, please install the development version.  If this doesn't solve
your problem, please create a \href{https://github.com/smasongarrison/discord/issues}{new issue}, or email Mason.
}
\examples{

library(discord) #Load the package into the current R session.

\dontrun{
# Install/update discord with the release version from CRAN.
install.packages('discord')

# Install/update discord with the development version from GitHub
#install.packages('devtools') #Uncomment if `devtools` isn't installed already.
devtools::install_github('smasongarrison/discord')
}
}
\references{
EJP
}
\author{
\href{http://www.smasongarrison.com}{S. Mason Garrison} (Vanderbilt Univerisity)

Maintainer: S. Mason Garrison <s.mason.garrison@gmail.com>
}
